# THIS FILE IS AUTOMATICALLY GENERATED BY CARGO
#
# When uploading crates to the registry Cargo will automatically
# "normalize" Cargo.toml files for maximal compatibility
# with all versions of Cargo and also rewrite `path` dependencies
# to registry (e.g., crates.io) dependencies.
#
# If you are reading this file be aware that the original Cargo.toml
# will likely look very different (and much more reasonable).
# See Cargo.toml.orig for the original contents.

[package]
edition = "2021"
rust-version = "1.75"
name = "egui-cha-macros"
version = "0.2.0"
build = false
autolib = false
autobins = false
autoexamples = false
autotests = false
autobenches = false
description = "Procedural macros for egui-cha layout DSL"
homepage = "https://github.com/ynishi/egui-cha"
readme = false
keywords = [
    "egui",
    "gui",
    "elm",
    "tea",
    "immediate-mode",
]
categories = [
    "gui",
    "rendering::graphics-api",
]
license = "MIT OR Apache-2.0"
repository = "https://github.com/ynishi/egui-cha"

[lib]
name = "egui_cha_macros"
path = "src/lib.rs"
proc-macro = true

[dependencies.proc-macro2]
version = "1"

[dependencies.quote]
version = "1"

[dependencies.syn]
version = "2"
features = [
    "full",
    "parsing",
    "extra-traits",
]
